Crash when enabling/disabling various Compiz plugins and that Unity plugin is enabled

Bug #682499 reported by Kenny Strawn on 2010-11-28
68
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Unity
Triaged
Medium
Sam Spilsbury
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: unity

Trying to start Compiz with both Unity and Desktop Cube enabled causes Compiz to crash and leave me with no window manager.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.0-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.37-6.17-generic 2.6.37-rc3
Uname: Linux 2.6.37-6-generic i686
Architecture: i386
CompizPlugins: No value set for `/apps/compiz/general/allscreens/options/active_plugins'
Date: Sun Nov 28 14:37:40 2010
GconfCompiz:
 /apps/compiz/general:
   /apps/compiz/general/screen0:
    /apps/compiz/general/screen0/options:
     vsize = 1
     hsize = 4
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101127)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101127)
MachineType: Acer AOA110
PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.37-6-generic root=UUID=73e56a44-6013-4742-a230-b273e2a21784 ro quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-6.17-generic 2.6.37-rc3
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu2
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.0-1ubuntu1
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 10/06/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3309
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3309:bd10/06/2008:svnAcer:pnAOA110:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA110
dmi.product.version: 1
dmi.sys.vendor: Acer
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-6-generic

Kenny Strawn (kenny-strawn) wrote :
David Barth (dbarth) wrote :

I can't reproduce the crasher with the tip of the trunk. Can you get a coredump?

Changed in unity (Ubuntu):
status: New → Confirmed
Hernando Torque (htorque) wrote :

D'oh! It seems I forgot to enable the "Rotate Cube" plugin - starting with both plugins enabled works for me.

Enabling or disabling plugins while Unity is running seems to crash Compiz. This is true for at least "Desktop Cube", "Rotate Cube", "Negative", "Opacity", and "Opacity, Brightness, and Saturation". All crash with the same backtrace from above.

Didier Roche (didrocks) on 2010-11-29
summary: - Unity (and Compiz with it) won't start with Desktop Cube enabled
+ crash when enabling/disabling compiz plugin and that unity plugin is
+ enabled
Changed in unity (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
importance: Undecided → Medium

Hey all,

just need to check if this a dl related bug - can you try to unload the unity plugin first, then load cube and rotate, and then reload the unity plugin and see if it crashes then?

Hernando Torque (htorque) wrote :

Unloading Unity doesn't remove panel + launcher, enabling "Desktop Cube" does, enabling "Rotate Cube" works, re-enabling Unity then crashes Compiz.

Starting Compiz with all three disabled, enabling "Desktop Cube", "Rotate Cube", and "Unity" in that order works.

Neil J. Patel (njpatel) wrote :

Sam, can you please make us more robust to being added/removed. Add new bugs for individual components if needed (i.e. if Nux is keeping state around)

Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.2.8
Kenny Strawn (kenny-strawn) wrote :

Yes, I should have been more descriptive. What release number is Unity currently at? I know it's 3.x, but other than that I have no clue.

summary: - crash when enabling/disabling compiz plugin and that unity plugin is
- enabled
+ Crash when enabling/disabling various Compiz plugins and that Unity
+ plugin is enabled
Kenny Strawn (kenny-strawn) wrote :

Hernando: According to your backtrace, apparently now we know what's causing the crash: Somewhere in the Unity code, something is causing Compiz to experience a segmentation fault when enabling/disabling plugins. I would think it would be the fact that Unity's code conflicts with code with the other plugins in such a way as to trigger a SIGSEGV in Compiz.

On Mon, Dec 13, 2010 at 11:27 AM, ks64 <email address hidden> wrote:
> Hernando: According to your backtrace, apparently now we know what's
> causing the crash: Somewhere in the Unity code, something is causing
> Compiz to experience a segmentation fault when enabling/disabling
> plugins. I would think it would be the fact that Unity's code conflicts
> with code with the other plugins in such a way as to trigger a SIGSEGV
> in Compiz.
>

Known issue, it is because the unity plugin does not disconnect some
signals and these cause sigc to freak out when the unity plugin gets
re-inited.

> --
> You received this bug notification because you are a member of Unity
> Team, which is subscribed to unity in ubuntu.
> https://bugs.launchpad.net/bugs/682499
>
> Title:
>  Crash when enabling/disabling various Compiz plugins and that Unity plugin is enabled
>
> Status in Unity:
>  Triaged
> Status in “unity” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Binary package hint: unity
>
> Trying to start Compiz with both Unity and Desktop Cube enabled causes Compiz to crash and leave me with no window manager.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.2.0-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.37-6.17-generic 2.6.37-rc3
> Uname: Linux 2.6.37-6-generic i686
> Architecture: i386
> CompizPlugins: No value set for `/apps/compiz/general/allscreens/options/active_plugins'
> Date: Sun Nov 28 14:37:40 2010
> GconfCompiz:
>  /apps/compiz/general:
>   /apps/compiz/general/screen0:
>    /apps/compiz/general/screen0/options:
>     vsize = 1
>     hsize = 4
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101127)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101127)
> MachineType: Acer AOA110
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.37-6-generic root=UUID=73e56a44-6013-4742-a230-b273e2a21784 ro quiet splash
> ProcVersionSignature_: Ubuntu 2.6.37-6.17-generic 2.6.37-rc3
> RelatedPackageVersions:
>  xserver-xorg 1:7.5+6ubuntu3b1
>  libgl1-mesa-glx 7.9+repack-1ubuntu2
>  libdrm2 2.4.22-2ubuntu1
>  xserver-xorg-video-intel 2:2.13.0-1ubuntu1
>  xserver-xorg-video-ati 1:6.13.2-1ubuntu2
> SourcePackage: unity
> XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
> dmi.bios.date: 10/06/2008
> dmi.bios.vendor: Acer
> dmi.bios.version: v0.3309
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.vendor: Acer
> dmi.board.version: Base Board Version
> dmi.chassis.type: 1
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: Chassis Version
> dmi.modalias: dmi:bvnAcer:bvrv0.3309:bd10/06/2008:svnAcer:pnAOA110:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
> dmi.product.name: AOA110
> dmi.product.version: 1
> dmi.sys.vendor: Acer
> glxinfo: Error: [Errno 2] No such file or directory
> system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-6-generic
>
>
>

--
Sam Spilsbury

Kenny Strawn (kenny-strawn) wrote :

Seeing as though Unity 3.2.8 has been released, has this bug been fixed yet?

David Barth (dbarth) wrote :

Not sure that the plugin has been cleaned up to behave more properly, so moving that bug to 3.2.12

Changed in unity:
milestone: 3.2.8 → 3.2.12
David Barth (dbarth) wrote :

Sam, we can turn that into a bitesize bug i guess, if you point a contributor to a good plugin example for wiring the signals properly.

David Barth (dbarth) on 2011-01-17
Changed in unity:
milestone: 3.2.12 → 3.4
Kenny Strawn (kenny-strawn) wrote :

Unity 3.4 has been released; has this bug been fixed yet? I don't want another delay.

Sam Spilsbury (smspillaz) wrote :

This is a complicated issue for a small usecase, we are prioritizing other issues in the implementation above it for now.

Changed in unity:
milestone: 3.4 → 3.6
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
Kenny Strawn (kenny-strawn) wrote :

This bug was reported *before* Bug 685552, so why didn't Bug 685552 be marked a duplicate of this?

Micah Gersten (micahg) wrote :

The other bug has a lot more information at this point and a lot more duplicates. We duplicate based on whichever bug has the most information at the time.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers